summaryrefslogtreecommitdiff
path: root/maintainer-scripts/update_web_docs_libstdcxx
diff options
context:
space:
mode:
authorpme <pme@138bc75d-0d04-0410-961f-82ee72b054a4>2001-03-19 01:40:04 +0000
committerpme <pme@138bc75d-0d04-0410-961f-82ee72b054a4>2001-03-19 01:40:04 +0000
commite45e1758093aa40f98ab38217eb7bc41554b6a09 (patch)
treefdb9ec839812cf64c250e9d4f7516196fa47ea51 /maintainer-scripts/update_web_docs_libstdcxx
parentd7c51647bf44a26067b09606f3d10842f7095441 (diff)
downloadgcc-e45e1758093aa40f98ab38217eb7bc41554b6a09.tar.gz
2001-03-18 Phil Edwards <pme@sources.redhat.com>
* update_web_docs_libstdcxx: New script. * crontab: Call said script. git-svn-id: svn+ssh://gcc.gnu.org/svn/gcc/trunk@40606 138bc75d-0d04-0410-961f-82ee72b054a4
Diffstat (limited to 'maintainer-scripts/update_web_docs_libstdcxx')
-rwxr-xr-xmaintainer-scripts/update_web_docs_libstdcxx54
1 files changed, 54 insertions, 0 deletions
diff --git a/maintainer-scripts/update_web_docs_libstdcxx b/maintainer-scripts/update_web_docs_libstdcxx
new file mode 100755
index 00000000000..7aad551ea9e
--- /dev/null
+++ b/maintainer-scripts/update_web_docs_libstdcxx
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+
+# "sh update_web_docs_libstdcxx.sh"
+# Checks out a copy of the libstdc++-v3 "inner" documentation and puts
+# it in the onlinedocs area. For an initial description of "inner"
+# docs, see the thread starting with
+# http://gcc.gnu.org/ml/libstdc++/2000-11/msg00475.html
+#
+# Id: update_v3_web_docs.sh,v 1.4 2000/12/25 05:02:14 pedwards Exp
+#####################################################################
+
+CVSROOT=/cvs/gcc
+GETTHIS='gcc/libstdc++-v3/docs/html'
+WWWDIR=/www/gcc/htdocs/onlinedocs/libstdc++
+#WWWDIR=/tmp/fake-onlinedocs-testing
+
+
+## No more changes should be needed. Ha, right, whatever.
+#####################################################################
+
+
+PATH=/usr/local/bin:$PATH
+export CVSROOT
+
+test -d $WWWDIR || /bin/mkdir $WWWDIR
+test -d $WWWDIR || { echo something is very wrong ; exit 1; }
+
+WORKDIR=/tmp/v3-doc-update.$$
+/bin/rm -rf $WORKDIR
+/bin/mkdir $WORKDIR
+cd $WORKDIR
+
+
+# checkout all the HTML files, get down into an interesting directory
+cvs -Q co $GETTHIS
+cd $GETTHIS
+
+# pity the cvs 'export' would require a tag... maybe gcc_latest_snapshot
+# would be recent enough? anyhow, get rid of the CVS dirs in the tree
+find . -type d -name CVS -print | xargs rm -r Makefile
+
+# build a compressed copy of the HTML, preserve directory structure
+for file in `find . -name "*.html" -print`; do
+ gzip --best < $file > $file.gz
+done
+
+# copy the tree to the onlinedocs area, preserve directory structure
+#find . -depth -print | cpio -pdv $WWWDIR
+find . -depth -print | cpio -pd $WWWDIR > /dev/null 2>&1
+
+cd /
+/bin/rm -rf $WORKDIR
+